### Method

# FwupdPlugin UsbDevice get_interfaces

since: 2.0.0

#### Declaration [src]

    GPtrArray*
    fu_usb_device_get_interfaces (
      FuUsbDevice* self
      GError** error
    )

#### Description [src]

Gets all the interfaces exported by the device.

Available since: 2.0.0

#### Return value

Type: An array of `FuUsbInterface*`

An array of interfaces or `NULL`.

The caller of the method takes ownership of the data container, but not the data inside it.